# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/03_malayalam.ipynb.

# %% auto 0
__all__ = ['MalayalamTextNormalizer']

# %% ../nbs/03_malayalam.ipynb 3
import re
import unicodedata

import regex

# %% ../nbs/03_malayalam.ipynb 4
class MalayalamTextNormalizer:
    """BasicTextNormalizer removes vowels in languages like Malayalam which was identified by [kavya in this tweet](https://twitter.com/kavya_manohar/status/1752574864618365059).

    So this is an attempt to build text normalizer for malayalam"""

    # self.clean = (
    #     remove_symbols_and_diacritics if remove_diacritics else remove_symbols
    # )
    # self.split_letters = split_letters

    def __call__(self, s: str):
        s = s.lower()
        s = re.sub(r"[<\[][^>\]]*[>\]]", "", s)  # remove words between brackets
        s = re.sub(r"\(([^)]+?)\)", "", s)  # remove words between parenthesis
        s = re.sub(r"\s+'", "'", s)  # when there's a space before an apostrophe
        # remove numbers and English alphabets from a string
        s = re.sub("[a-zA-Z0-9]", "", s)
        # remove punctuation characters
        s = re.sub("[-,.:]", "", s)

        # if self.split_letters:
        #     s = " ".join(regex.findall(r"\X", s, regex.U))

        s = re.sub(
            r"\s+", " ", s
        )  # replace any successive whitespace characters with a space

        return s
